Subject: [PATCH v3][for 4.14] xhci: allow TRACE to work with EVENT ring dequeue

From: [email-masked] (Mathias Nyman)
Date: Tue, 26 Sep 2017 09:44:31 +0300

On 25.09.2017 19:09, David Laight wrote:
> From: Adam Wallis
>> Sent: 25 September 2017 13:26
>> inc_deq() currently bails earlier for EVENT rings than the common return
>> point of the function, due to the fact that EVENT rings do not have
>> link TRBs. The unfortunate side effect of this is that the very useful
>> trace_xhci_inc_deq() function is not called/usable for EVENT ring
>> debug.
>
> Is it actually worth using different functions for the different
> ring types?
>  From what I remember there are conditionals in a lot of the functions
> but they are fixed for most of the call sites.
>

There's some restructuring and refactoring that could be done in xhci,
but that's not part of this patch.

This will just enable better debugging.

Applying this patch

Thanks
-Mathias